# Generated from endi_feed-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name endi_feed

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: EndiFeed is a Ruby Gem for getting the latest news from endi.com / El Nuevo Dia Newspaper
License: MIT
URL: https://github.com/jonahoffline/endi_feed
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(webmock) >= 1.13.0
# BuildRequires: rubygem(webmock) < 1.14
# BuildRequires: rubygem(simplecov) >= 0.7.1
# BuildRequires: rubygem(simplecov) < 0.8
# BuildRequires: rubygem(simplecov-gem-adapter) >= 1.0.1
# BuildRequires: rubygem(simplecov-gem-adapter) < 1.1
# BuildRequires: rubygem(coveralls) >= 0.6.7
# BuildRequires: rubygem(coveralls) < 0.7
BuildArch: noarch

%description
EndiFeed is a Ruby Gem for getting the latest news from endi.com.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/endifeed
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/endi_feed.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.3-1
- Initial package
